package com.bocloud.cmp.provider.azure.network;

import com.bocloud.cmp.model.azure.network.RouterTableModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterTableProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/12/31 14:27
 */
public interface RouterTableProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(RouterTableModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }

}